//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HOD.Data.Entities
{
    using System;
    using System.Collections.Generic;
    
    public partial class PackageFeature
    {
        public PackageFeature()
        {
            this.PackageFeatureAssociations = new HashSet<PackageFeatureAssociation>();
        }
    
        public int PackageFeatureId { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public int FeatureChargeFrequencyId { get; set; }
        public decimal Cost { get; set; }
        public decimal ShippingCost { get; set; }
    
        public virtual ICollection<PackageFeatureAssociation> PackageFeatureAssociations { get; set; }
        public virtual PackageFeatureChargeFrequency PackageFeatureChargeFrequency { get; set; }
    }
}
